package org.project.entity;

import org.project.item.weapons.Weapon;

public interface Entity {
    void attack(Entity target, double multiplier);

    void defend();

    void heal(int health);

    void takeDamage(int damage);

    int getHP();

    void setHP(int hp);

    int getMaxHP();

    int getMP();

    void setMP(int mana);

    void setMaxHP(int maxHP);

    int getMaxMP();

    void setMaxMP(int maxMP);

    boolean isDefending();

    void setDefending(boolean defending);

    double getDefendRate();

    void setDefendRate(double defendRate);

    Weapon getWeapon();
}
